<?php

//    PA Randonneurs Website Software
//    Copyright (C) 2019 Chris Nadovich https://parando.org/info/contact/webmaster
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU Affero General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU Affero General Public License for more details.
//
//    https://parando.org/assets/parando/src/LICENSE.txt
//
//    You should have received a copy of the GNU Affero General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.

?>
<!DOCTYPE html>
<html>
<head>

<?php
		$style_url=base_url("assets/parando/css/results.css");
		echo "<link rel='stylesheet' type='text/css' href='$style_url'>"; 
		
		
		if(!empty($pdf_url))
			$pdf_link="<a href='$pdf_url' TITLE='Sticker PDF' class='fas fa-file-pdf'></a>";
		else
			$pdf_link="";
?>

<style>

@import url("https://use.fontawesome.com/releases/v5.1.0/css/all.css");

p {
	text_align: left;
}

h1 {
  margin: 1em 0 0.5em 0;
	font-weight: 600;
	font-family: 'Titillium Web', sans-serif;
	text-shadow: 0 -1px 1px rgba(0,0,0,0.4);
	font-size: 1.5em;
	line-height: 2em;
	color: #355681;
	text-transform: uppercase;
	border-bottom: 1px solid rgba(53,86,129, 0.3);  }

h2 {
	margin: .5em 0 .25em 0;
	font-weight: 600;
	font-family: 'Titillium Web', sans-serif;
	font-size: 1.2em;
	line-height: 1em;
	color: #788699;
	}


</style>
<title><?php echo $title;?></title>
<style>
</style>
</head>
<body>
		<h1><?php echo $title;?></h1>
		<h2>Overall Totals</h2>
		<?php echo $summary;?>
		<h2>Individual Results <a href='<?php echo $download_url;?>' TITLE="CSV Download" class="fas fa-file-download"></a> 
		<?php echo $pdf_link;?></h2>
		<table class="rider_results">
		<thead><?php echo $table_head;?></thead>
		<tbody><?php echo $table_body;?></tbody>
		</table>
</body>
</html>


