<?php

//    PA Randonneurs Website Software
//    Copyright (C) 2019 Chris Nadovich https://parando.org/info/contact/webmaster
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU Affero General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU Affero General Public License for more details.
//
//    https://parando.org/assets/parando/src/LICENSE.txt
//
//    You should have received a copy of the GNU Affero General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.

?>

<div class=info-container>

	<?php 
	if(isset($info_comment)){echo $info_comment;}
	
    $plist=['event','rider','charges'];
    
    foreach($plist as $p){
        ${"show_$p"} =  !is_array($form_show) || isset($form_show[$p]);
    }
    
    // echo "fs=" . print_r($form_show,true) . "; se=$show_event; sr=$show_rider; sc=$show_charges";
        
	// EVENT INFO BOX
	if($show_event && isset($event_name, $event_type, $event_distance, $event_start_city, $event_start_state, $event_date)){
		echo <<<EOT
<h2>Event</h2>
<div class=event>
<p>$event_name $event_distance
EOT;
		if($event_type=='fleche'){
			if(isset($fleche_team_data,$fleche_team_schedule)){
				extract($fleche_team_data);
				extract($fleche_team_schedule);
				$captain=$this->model_parando->members_by_id[$captain_id];
				$captain_name=$captain['first_name'].'&nbsp;'.$captain['last_name'];
				echo <<<EOT
<p>Team Name: $name
<p>Team Captain: $captain_name
<p>Team Start: $start_datetime_str
EOT;
			}
		}else{
			echo <<<EOT
<p>$event_start_city, $event_start_state
<p>$event_date
EOT;
		}
		echo "</div>";
	}


    // RIDER INFO BOX
	if($show_rider && isset($first_name, $last_name)){
		echo <<<EOT
<h2>Rider</h2>
<div class=rider>
<p>$first_name $last_name</p>
EOT;
		if(!empty($rms)){echo "<p>RUSA Member: $rms </p>";}
		if(!empty($pms)){echo "<p>Club Member: $pms </p>";}
		if(!empty($vjd)){echo "<p>Volunteer offer: $vjd </p>";}
		echo "</div>";
	}
	
	
	// CHARGES INFO BOX
	if($show_charges && !empty($items) && $this->accounting_parando->items_total($items)>0){
		echo "<h2>Charges</h2>";
		echo "<div class=fee><table>";
		echo $this->accounting_parando->items_table_body($items);
		if(!empty($fws)){echo "<TR><TD COLSPAN=2 id=txt-right>$fws</TD><TR>";}
		echo "</table>";


		if(!empty($event_included)){
			echo "<div class=included><h3>Includes</h3>";
			echo $event_included;
			echo "</div>";
		}
		echo "</div>";
	}
	?>

</div>

<div class=form-container>
<?php echo <<<EOT
$form_comment
<form action="$form_action" method="POST">
$form_body
$form_submit
</form>
EOT;
if(!empty($form_fineprint)){
	echo "<div class=fineprint>$form_fineprint</div>";
}
echo <<<EOT
</div>
<!--
$form_debug
-->
EOT;

?>
	
