<?php

//    PA Randonneurs Website Software
//    Copyright (C) 2019 Chris Nadovich https://parando.org/info/contact/webmaster
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU Affero General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU Affero General Public License for more details.
//
//    https://parando.org/assets/parando/src/LICENSE.txt
//
//    You should have received a copy of the GNU Affero General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.

?>

<div class="row">

<!-- LEFT -->

  <div class="threecolumn">

<?php

    echo <<<EOT
<h3>Completed Events</h3>
$schedule_table_completed

<ul><li>Full List of $event_archives since $results_epoch</li></ul>
<h3>Future Events</h3>
$schedule_table_future
EOT;
//<h3>Event Archives</h3>
//$annual_summary_links
?>

<?php
  echo $this->model_parando->get_paragraph('under_schedule');
  echo $this->model_parando->get_paragraph('bottom_first_column');
?> 



  </div>

<!-- CENTER -->
  <div class="threecolumn" style="background-color:#C0C0C0;">
      
      
<h2>Announcing</h2>

<?php
		if(!empty($events_underway)){
	echo "<div class=underway><h3>Underway!</h3>";
	foreach ($events_underway as $ei=>$e){
	
		echo "<DIV  class=' bordered'><H4>" . $e['name'] . " " . $e['distance'] . "K</H4>";
		echo "<i>Recent Control Check Ins:</i><br><br><table class=schedule>";
		
		
		foreach ($recent_checkins as $checkin){
			if($checkin['event_id']==$ei){
				$checkin_datetime = new DateTime($checkin['time'],new DateTimeZone('UTC'));
				$checkin_datetime->setTimezone($this->model_parando->get_local_time_zone());
				$m=$this->model_parando->get_member($checkin['member_id']);
				$control_num = $checkin['control_number']+1;
				$checkin_record = 
					[$m['first_name'] . ' ' . $m['last_name'], 
				  		'@' . $control_num , $checkin_datetime->format('H:i')];
				echo "<TR><TD style='white-space: nowrap;'>" . implode('</TD><TD>', $checkin_record) . "</TD><TD width=100%>" . $checkin['comment'] ."</TD></TR>";
			}
		}
		
		echo '</TABLE>';
		echo "<DIV CLASS='text-center fine-print'><A HREF=https://parando.org/ebrevet/checkin_status/$ei>Detailed list</a><br><br></DIV>";
		echo'</DIV>';
	
	}
	echo "</DIV>";
}
?>

<?php 
echo $announce_text; 
if($num_next_n_events>0){
	$s=($num_next_n_events>1)?"s":"";
	echo<<<EOT

<h3>Next Event$s</h3>
$list_events_next_n_events
EOT;
}
if($num_last_n_events>0){
	$s=($num_last_n_events>1)?"s":"";
	echo<<<EOT

<h3>Previous Event$s</h3>
$list_events_last_n_events
EOT;
}

echo $volunteer_text;
?>
  </div>
  
  
<!-- RIGHT -->

  <div class="threecolumn">


<h3>Message Board</h3>
<div id="hlrpsb">
<script type="text/javascript">
function showrecentposts(t){for(var e=0;e<numposts;e++){var n,r=t.feed.entry[e],i=r.title.$t;if(e==t.feed.entry.length)break;for(var d=0;d<r.link.length;d++)if("alternate"==r.link[d].rel){n=r.link[d].href;break}i=i.link(n);var s=r.published.$t,a=s.substring(0,4),o=s.substring(5,7),l=s.substring(8,10),u=new Array;u[1]="Jan",u[2]="Feb",u[3]="Mar",u[4]="Apr",u[5]="May",u[6]="Jun",u[7]="Jul",u[8]="Aug",u[9]="Sep",u[10]="Oct",u[11]="Nov",u[12]="Dec",standardstyling||document.write(""),document.write('<div class="rctitles2">'),standardstyling&&document.write(""),document.write(i),standardstyling&&document.write(""),1==showpostdate&&document.write(" - "+l+" "+u[parseInt(o,10)]+" "+a),standardstyling||document.write("</div>"),document.write("</div>"),standardstyling&&document.write("")}standardstyling||document.write('<div class="bbwidgetfooter">'),standardstyling&&document.write(""),document.write(""),standardstyling||document.write("/div")}
</script>
<script type="text/javascript">var numposts = 5;var showpostdate = false;var standardstyling = true;</script>
<script src="https://parandonneurs.blogspot.com/feeds/posts/default?orderby=published&alt=json-in-script&callback=showrecentposts"></script>
<a href=
      "http://parandonneurs.blogspot.com/">All posts...</a>
      </div>

<style type=text/css>
#hlrpsb a {
   color: #000000;
   font-size:13px;
   text-transform:capitalize;
   }
#hlrpsb a:link {
    color: black;
}

#hlrpsb a:hover {
    color: blue;
    background-color: #ddd;
}

.rctitles2 {
   padding-bottom:5px;
   margin-bottom:5px;
   border-bottom: 1px dotted #cccccc;
   }
</style>



  <h3><?php echo $this_organization;?> Honor Roll</h3>


<div class="vspace"></div>

<div class=honor-container>
	<div class=narrower> 
	<div class=honor>
  	<?php echo $honor_roll_sr;?>
		<div class="vspace"></div>
    <?php echo $honor_roll_r12;?>
		<div class="vspace"></div>
		<h5>Full <A HREF='<?php echo site_url('results/honor_roll_lifetime');?>'>Lifetime</A> Honor Roll</h5>
	</div>
	</div>
	<div class="vspace"></div>
	<div class='bordered top-leaders'>
		<h4><?php echo $y_now;?> Top Leaderboard</h4>
		<table width=100%>
			<?php echo $leaderboard;?>
		</table>
		<DIV class='narrower bordered'>
		<H4>Full <A HREF='<?php echo site_url("results/leaderboard/total_km/desc/$y_now");?>'><?php echo $y_now;?> Leaderboard</a></H4>
		<H4>Previous leaderboards for: <?php 
$y_lb=$y_now-1;
echo "<A HREF=" . site_url("results/leaderboard/total_km/desc/$y_lb") . ">$y_lb</a>";
for($y_lb=$y_now-2; $y_lb>=$results_epoch; $y_lb-- ) {
	$y_txt=sprintf("%02d",$y_lb%100);
	echo ", <A HREF=" . site_url("results/leaderboard/total_km/desc/$y_lb") . ">$y_txt</a>";
}
?> 
</H4>
		<H4><A HREF='<?php echo site_url("results/leaderboard");?>'>Lifetime</a> Leaderboard</H4>
		</DIV>
	<div class="thin-vspace"></div>
	</div>
</div>
<ul>
<li><A HREF='<?php echo site_url('results/search');?>'>Search</A> Rider Results</li>
</ul>


      
<!--
      <a href=<?php echo base_url("Archive2017.html");?>>2017</a>, 
      <a href=<?php echo base_url("Archive2016.html");?>>2016</a>, 
      <a href=<?php echo base_url("Archive2015.html");?>>2015</a>, 
      <a href=<?php echo base_url("Archive2014.html");?>>2014</a>, 
      <a href=<?php echo base_url("Archive2013.html");?>>2013</a>, 
      <a href=<?php echo base_url("Archive2012.html");?>>2012</a>, 
      <a href=<?php echo base_url("Archive2011.html");?>>2011</a>, 
      <a href=<?php echo base_url("Archive2010.html");?>>2010</a>, 
      <a href=<?php echo base_url("Archive2009.html");?>>2009</a>
-->
  
  </div>
</div>


