<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
//    PA Randonneurs Website Software
//    Copyright (C) 2019 Chris Nadovich https://parando.org/info/contact/webmaster
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU Affero General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU Affero General Public License for more details.
//
//    https://parando.org/assets/parando/src/LICENSE.txt
//
//    You should have received a copy of the GNU Affero General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.

class MY_Controller extends CI_Controller{

	protected $class_name;

	function __construct(){
		parent::__construct();
		$this->class_name=strtolower(get_class($this));
// 		$this->load->database();
// 		$this->load->helper('url');

	}
	
	protected function die_error($heading,$message){
		$this->load->view('errors/html/error_general',array('title'=>$heading, 'heading'=>$heading,'message'=> $message));
		$this->output->_display();
		exit();
	}
	
	protected function die_info($heading,$message){
		$this->load->view('errors/html/info_general',array('title'=>$heading, 'heading'=>$heading,'message'=> $message));
		$this->output->_display();
		exit();
	}
	protected function simple_view($view='info_one_column',$page_styles=[],$data=[]){
		$this->load->view('simple_header',array_merge($data,['page_styles'=>$page_styles]));
		$this->load->view($view,$data);
		$this->load->view('simple_footer',$data);
	}

	
}
