<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

 
//    PA Randonneurs Website Software
//    Copyright (C) 2019 Chris Nadovich https://parando.org/info/contact/webmaster
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU Affero General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU Affero General Public License for more details.
//
//    https://parando.org/assets/parando/src/LICENSE.txt
//
//    You should have received a copy of the GNU Affero General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.

require_once('Randoclass.php');

class Wizard extends Randoclass{

		public $disclaimer_html=<<<EOT
	<hr width=61.8%>
<div class='text-center half-width'>Cue Wizard <A HREF=https://parando.org/cue_wizard.html>User Manual</A>
<div class='fine-print'>
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
<A HREF=https://parando.org/software_license.html>Click here</a> for access to source code and complete license details.
</div></div>
<div class=vspace></div>
EOT;

	public function format_attributes($alist){
		$ca="";
		foreach($alist as $k=>$v){
				if(is_string($v))
					$ca.="<div class=attribute>#$k=$v</div>";
		}
		return $ca;
	}

    public function format_control_description_table($alist){
 		$cdt="<div style='font-size: .7em; font-family: Arial, Helvetica, sans-serif'>";
        $cd_field=['name','address','style'];
        foreach($cd_field as $k){
            $v=(array_key_exists($k,$alist))?$alist[$k]:"";
            if($k=='style') $v=strtoupper($v);
            $n=ucfirst($k);
            $cdt.="$v<BR>";
        }
		$cdt.="</div>";
		return $cdt;
	}



}

?>
