<?php

//    PA Randonneurs Website Software
//    Copyright (C) 2019 Chris Nadovich https://parando.org/info/contact/webmaster
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU Affero General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU Affero General Public License for more details.
//
//    https://parando.org/assets/parando/src/LICENSE.txt
//
//    You should have received a copy of the GNU Affero General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.

?>
<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" type="text/css" href='<?php echo base_url("parandostyle.css")?>'>
<title>Cancel Event Registration</title>
<style>

a {
    -webkit-appearance: button;
    -moz-appearance: button;
    appearance: button;

    text-decoration: none;
    color: initial;
   font-family: Arial, Helvetica, sans-serif;
   font-size: 1em;
   padding: .25em;
}

.button-box {
    float: left;
    width: 45%;
    text-align: center;
    margin-left: 2.5%;
    margin-right: 2.5%;
    margin-top: 2em;
    margin-bottom: 2em;
}

@media screen and (max-width:400px) {
    .button-box {
        width: 95%;
    }
}


.button-row:after {
    content: "";
    display: table;
    clear: both;
}


</style>
</head>
<body>



	<?php 

	    $event_start_city = $event['start_city'];
	    $event_start_state = $event['start_state'];
	    $event_name = $event['name'];
	    $event_distance = $event['distance_str'];
	    $event_date = $event['date'];

	    $first_name = $member['first_name'];
	    $last_name = $member['last_name'];

	echo <<<EOT
<div class=info-container>

	<h2>Event</h2>
	<div class=event>
	<h3>$event_name $event_distance</h3>
	<p>Start Location: $event_start_city, $event_start_state</p>
	<p>Start Date: $event_date</p>
	</div>

	<h2>Rider</h2>
	<div class=rider>
	<p>$first_name $last_name</p>
	</div>

	<h2>Fees</h2>
	<div class=fee>
	<p><em>Pre-paid registration fees are <u>not</u> refundable.</em></p>
	</div>

</div>
EOT;
	?>

<div class=form-container>
    <p>To cancel your registration for this event, click "Cancel Registration". </p>
    <div class=button-row>
    <div class=button-box><a href='<?php echo site_url("register/cancel/$cc/no")?>' class="button">Cancel&nbsp;Registration</a></div>
    <div class=button-box><a href='<?php echo site_url("")?>' class="button">Return&nbsp;to&nbsp;Home&nbsp;page</a></div>
    </div>
</div>



</body>
</html>
