<?php

//    PA Randonneurs Website Software
//    Copyright (C) 2019 Chris Nadovich https://parando.org/info/contact/webmaster
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU Affero General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU Affero General Public License for more details.
//
//    https://parando.org/assets/parando/src/LICENSE.txt
//
//    You should have received a copy of the GNU Affero General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.

?>




<div class="narrower form-container">
	<h3>Contact <?php echo $this_organization;?></h3>
	<div class="narrower"><?php echo $this->model_parando->get_paragraph("contact_preamble"); ?></div>
	<br>
	<div class=event>
		<p> <?php echo $contact_text;?></p>
	</div>
	<form action='<?php echo $contact_url;?>' method="POST">  

		<?php 
			$this->model_parando->make_form_group('name','Your Name','Enter your name'); 
			$this->model_parando->make_form_group('email','Your email','Enter your email'); 
			$this->model_parando->make_form_group('subject','Subject','Enter subject of message'); 
			if(!empty(form_error('message'))){
			  echo "<div class=verror>" . form_error('message') . "</div>";
			}
		?>
		
		<div class=form-group>
			<label for="message">Message*</label>
			<textarea rows=10 name="message" required><?php echo set_value('message'); ?></textarea>	
		
			<?php
			if(!empty(form_error('v'))){
			  echo "<div class=verror>" . form_error('v') . "</div>";
			}
			?>
		</div>
		<div class=form-group>
		  <label for="vehicle">Select all bicycles*</label>
		  <div class='capbike'><?php echo $vehicle_checkboxes?></div>		
		</div>
		<input type="submit" name="submit" value="Send">       
		
	</form>


</div>

