<?php

//    PA Randonneurs Website Software
//    Copyright (C) 2019 Chris Nadovich https://parando.org/info/contact/webmaster
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU Affero General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU Affero General Public License for more details.
//
//    https://parando.org/assets/parando/src/LICENSE.txt
//
//    You should have received a copy of the GNU Affero General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.

?>

<div class="row">

<!-- LEFT -->

  <div class="threecolumn">

<?php 
if ($event['type']=='fleche'){
  echo "<H3>The Fl&egrave;che</H3>";
  echo $event['description']; 
  }else{
  echo "<H3>". $event['name'] . ' ' . $distance . "</H3>";
  echo "<div class=subtitle>$header_subtitle</div>";
}  
if(!empty($special_announcement)) echo "<div class=special>$special_announcement</div>";
?> 


<?php 
		if($event['start_id']>0){
  		
if ($event['type']=='fleche'){
  			echo "<H3> Common Finish Location</H3>";
}else{
			echo '<h3>Start Location</h3>'; 
}
			echo '<h4>' . $event['start_name'] . '</h4>'; 
			echo '<div class="location-address">';
			echo $event['start_street'] . '<BR>';
			echo $event['start_city'].', '.$event['start_state'].' '.$event['start_zip']. ' ' . $directions_link . '<BR>';
			echo $event['start_phone']; 
			echo '</div>';
			echo $event['start_description'];
			echo '<h4>Parking</h4>';
			echo $event['parking']; 
if(!empty($parking_disclaimer)) echo "<div class='narrower bordered text-center fine-print italic highlight'>$parking_disclaimer</div><div class=vspace></div>";
			
			if(!empty($event['lodging'])){
				echo '<h4>Lodging</h4>';
				echo $event['lodging'];
				if(!empty($event['lodging_1n_price'])){
				  echo 'One night: $' . $event['lodging_1n_price'] . '<br>';
				} 
				if(!empty($event['lodging_1n_price'])){
				  echo 'Two night: $' . $event['lodging_2n_price'] . '<br>';
				} 
				if(!empty($event['lodging_1n_price']) || !empty($event['lodging_1n_price'])){
				  echo '<br>';
				}
			}
			if(!empty($event['finish'])){
				echo '<h4>Finish</h4>'; 
				echo $event['finish']; 
			}    
		}

// 		$oc_list=$this->model_parando->controles_for_event($event_id,'overnight');
// 		if(!empty($oc_list)){
// 			$s=(count($oc_list)>1)?"s":"";
// 			echo "<h3>Overnight Controle$s</h3>"; 
// 			foreach($oc_list as $oc){
// 				$map_link="<A HREF='" . $oc['directions_url'] . "'><i class='fas fa-map-marker-alt' style='color: #355681;'></i></A>";
// 				echo '<h4>' . $oc['name'] . '</h4>'; 
// 				echo $oc['street'] . '<BR>';
// 				echo $oc['city'].', '.$event['start_state'].' '.$event['start_zip']. ' ' . $map_link . '<BR>';
// 				echo $oc['phone'].'<br>';
// 				echo '<p>' . $oc['description'] . '</p>';
// 			}
// 		}
?>



<?php if(!empty($volunteer_text) && $event['type']!='fleche'){echo $volunteer_text;} ?>

</div>
  
<!-- CENTER -->

  <div class="threecolumn" style="background-color:#F0F0F0;">

<?php 
if($event['type']=='brevet' || $event['type']=='populaire'){
  echo "<H3> Ride Description</H3>";
  echo $event['description']; 
  echo $course_history; 
  if(!empty($info_text)){
    echo "<H3> General Info</H3>";
    echo $info_text;
  } 
}else{
  echo $fleche_text;
}


?>

  </div>
  
<!-- RIGHT -->

  <div class="threecolumn">

<H3>Registration</H3> 

<?php
  $member_price=$event['member_price'];
  if($event['waive_guest_fee']){
    $guest_surcharge=0;
    $guest_surcharge_txt='';
  }else{
    $guest_surcharge=($member_price==0)?$guest_fee_special:$guest_fee;
    $guest_surcharge_txt=($guest_surcharge==0)?"":"<div class='bordered italic'>There is an extra \$$guest_surcharge charge for registration if you are not a member of $this_organization.</div>";
  }
  $guest_price=$member_price + $guest_surcharge;
  $org_nickname=$this->model_parando->org_nickname;
  $member_price_txt=
  	($member_price==0)?"<div class='text-center sans'><span style='color: green';>$this_organization members ride FREE!</span></div>":
  	"<div class='sans text-center'>For $org_nickname members: \$$member_price</div>";
  
  
  // 30 days 50 off; 60 days 100 off; ... 
  	$ebd=$this->model_parando->get_ebd($event);
  	// $mpn=$this->model_parando->member_price_now($event);
  	$ebdtext='';
    if(!empty($ebd)){ 
    	$ebdtext.="<div class='italic'>For $this_organization members:</div><ul style='padding-bottom: 0.25em; padding-top: 0.25em;'>";
    	$default_price=true;
        foreach($ebd as $x){
            $days=$x['days'];
            $discount=$x['discount'];
            $date=$x['date'];
            $an=$x['available_now'];
            if($an) $default_price=false;
            $ebd_style=($an)?"bold":"";
            $p=$member_price-$discount;
            $ebdtext.= "<li class='$ebd_style'>Register <u>before</u> " . $date->format('M j') . ", only \$$p</li>";            
        }
            $ebd_style=($default_price)?"bold":"";
            $ebdtext.= "<li class='$ebd_style'>After " . $date->format('M j') . ", fee is \$$member_price</li>";            
        $ebdtext.="</ul>";
        
    } 
    echo "<H4>Registration Fee</h4>"; 
    echo (!empty($ebdtext))?$ebdtext:$member_price_txt;
    echo $guest_surcharge_txt;
?>

<div class=payment-options><?php echo $payment_options; ?></div>

<?php
  if(!empty($event['included'])){
    echo "<h4>Includes</h4>";
    echo $event['included'];
  }
  if(!empty($event['lodging_options'])){
    echo "<h4>Lodging at the Start-Finish</h4>";
    $lo=$event['lodging_options'];
			$lol=explode(',',$lo);
			$options=[];
			foreach($lol as $lo){
			  $dp=explode('=',$lo);
			  list($d,$p)=$dp;
			  $price=($p>0)?"\$$p":"Free";
			  $options[]="$d: $price";
            }
            echo "<UL><LI>".implode('</LI><LI>',$options)."</LI></UL>";
  }
	
  if(!empty($event['suspended'])){
echo <<<EOT
<em>This event has been suspended.</em> <br>
EOT;
  }else{
  if(!$registration_closed){
		$regurl=$this->model_parando->event_register_url;
		if($event['type']=='fleche'){
echo <<<EOT
<em>Pre-registration required.</em> <br>
<FONT style="FONT-SIZE:10pt" color=red face="Arial">Team Captain Registration closes $fleche_captain_registration_closes_date</FONT><br>
<FONT style="FONT-SIZE:10pt" color=red face="Arial">Individual Team Member Registration closes $fleche_rider_registration_closes_date</FONT><br>
<br>
<A href="$regurl/$event_id">Register On-Line</A><BR>
EOT;
		}else{
echo <<<EOT
<em>Pre-registration required.</em> <br>
<FONT style="FONT-SIZE:10pt" color=red face="Arial">Registration closes $reg_cutoff_datetime_str2</FONT><br>
<br>
<DIV style="width: 62%; margin-left:19%; text-align: center; background-color:light-gray;color:purple;padding:5px;">
<FONT style="FONT-SIZE:8pt">Note: 
<i>You must already have 
<A HREF=https://rusa.org/pages/memberservices>RUSA membership</a> before you can register for this event. 
<A HREF=https://rusa.org/pages/memberservices>RUSA Membership</a> applications 
take 3-5 business days to be processed by a human volunteer, so plan accordingly.</i></FONT></div>

<div class="registration">
<A href="$regurl/$event_id">Register On-Line</A></div>
EOT;
	}
  }else{
echo <<<EOT
<div class='large-print text-center sans'>Registration is closed for this event.</div>
EOT;
  }}
?>

<H3>Schedule</H3>

<?php 
if($event['type']=='fleche'){
	echo <<<EOT
<TABLE CLASS='event-schedule'>
<TR><TD>$fleche_captain_registration_closes_date</TD><TD>Team Captain registration closes</TD></TR>
<TR><TD>$fleche_route_submission_date</TD><TD>Route submission deadline</TD></TR>
<TR><TD>$fleche_rider_registration_closes_date</TD><TD>Rider registration closes</TD></TR>
<TR><TD>$fleche_earliest_start_date</TD><TD>Noon: Earliest start time</TD></TR>
<TR><TD>$fleche_preferred_start_date</TD><TD>8-9 AM: <EM>Preferred start time</EM></TD></TR>
<TR><TD>$fleche_latest_start_date</TD><TD>10 AM: Latest start</TD></TR>
<TR><TD>$fleche_latest_finish_date</TD><TD>10 AM: Latest finish</TD></TR>
<TR><TD>$fleche_brunch_banquet</TD><TD>8-11 AM: Brunch Banquet</TD></TR>
</TABLE>
EOT;
}else{
	$bike_inspection_url=base_url("BikeInspectionCheckList.pdf");
	echo <<<EOT
$signin_time_str Sign-in, <A href="$bike_inspection_url">Bike Inspection</A><BR>
$meeting_time_str Rider meeting <BR>
$start_time_str Riders depart<BR><BR>
EOT;
}
?>

<H3>Conditions</H3>


<?php 
if($event['type']!='fleche'){
	echo "Finish Cutoff: $cutoff_time_str $cutoff_date_str";
	
	$dhm = [];
	
	$tothours = $cutoff_interval->h + $cutoff_interval->d * 24;

	if($tothours >  1)  $dhm[] = $tothours . ' hours';
	if($tothours == 1)  $dhm[] = $tothours . ' hour';

	if($cutoff_interval->i >  1)  $dhm[] = $cutoff_interval->i . ' minutes';
	if($cutoff_interval->i == 1)  $dhm[] = $cutoff_interval->i . ' minute';
	
	echo " (" . implode(', ', $dhm) . ")";

	
	
}
?>

<h4>Daylight Hours</h4>

Sunrise:   <?php echo $sunrise_str; ?><BR>
Sunset:   <?php echo $sunset_str; ?><BR><BR>

<?php 
if($riding_at_night && !empty($night_text)){
  echo $night_text;
} 
?>
<br>

<?php 
		if($event['start_id']>0){
			echo '<h4>Weather</h4>';
			$start_city_encoded=urlencode($start_city);
			$sf=($event['type']=='fleche')?"finish":"start";
echo <<<EOT
Weather forecast for $sf location: <A HREF=https://forecast.weather.gov/MapClick.php?CityName=$start_city_encoded&state=$start_state>$start_city, $start_state</a>.<br><br>
EOT;
		}
?>

<em>This event runs rain or shine.</em> Rides are sometimes
postponed or canceled if there is a significant chance of extreme
conditions that threaten safety (e.g. ice, snow, high winds). Check
the <A HREF=http://parandonneurs.blogspot.com/>message board</a> for 
last minute announcements.<br>

<?php if(!empty($volunteer_text) && $event['type']=='fleche'){echo $volunteer_text;} ?>

<H3>Questions About This Event?</h3>
Please <A HREF=<?php echo site_url("info/contact/$event_id");?>>click here to ask the organizer</a> a question about this event. <p>The online URL for this event info page is <P><A HREF=<?php echo $info_url;?>><tt><?php echo $info_url;?></tt></a></p>
<p>For all other information about <?php echo $this_organization;?>, visit our web site <A HREF=<?php echo base_url() . '>' . base_url() . '</a>';?>

  </div>  
</div>

</body>
</html>
