<?php

//    PA Randonneurs Website Software
//    Copyright (C) 2019 Chris Nadovich https://parando.org/info/contact/webmaster
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU Affero General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU Affero General Public License for more details.
//
//    https://parando.org/assets/parando/src/LICENSE.txt
//
//    You should have received a copy of the GNU Affero General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.

?>
<div class=form-container-wide>
<form action="<?php echo$form_action;?>" method="POST">

<p>In consideration of being permitted to participate in any way in the 
<em><?php echo $event_name;?> <?php echo $event_distance;?></em> (Activities or Activity) 
I,&nbsp;<?php echo $first_name. '&nbsp;' .$last_name; ?>, 
for myself, my representatives, assigns, successors, and heirs 
represent and agree as follows:

<p><input type="checkbox" name="agree1" value="yes"> I acknowledge that this athletic event or Activity is an extreme test of a
person's physical and mental limits and carries with it the potential for death,
serious injury and property loss.  The risks include, but are not limited to,
those caused by terrain, facilities, temperature, weather, condition of athletes,
equipment, vehicular traffic, actions of other people including, but not limited
to, participants, volunteers, spectators, coaches, event officials, and event
monitors, and/or producers of the event, and lack of hydration. These risks are
not only inherent to athletics, but are also present for volunteers. I hereby
assume all of the risks of participating and/or volunteering in this event. I
realize that liability may arise from negligence or carelessness on the part of
the persons or entities being released, from dangerous or defective equipment or
property owned, maintained or controlled by them or because of their possible
liability without fault.

<p><input type="checkbox" name="agree2" value="yes"> I certify that I am physically fit, have sufficiently trained for participation in
the event and have not been advised otherwise by a qualified medical person. I
further acknowledge that the Activity will be conducted over public roads and
facilities open to the public during the Activity and upon which the hazards of
traveling are to be expected. If at any time I believe conditions to be unsafe I
will immediately discontinue further participation in the activity.

<p><input type="checkbox" name="agree3" value="yes"> I acknowledge that this Accident Waiver and Release of Liability (AWRL) form will
be used by the event holders, sponsors and organizers, in which I may participate
and that it will govern my actions and responsibilities at said events.

<p><input type="checkbox" name="agree4" value="yes"> In consideration of my application and permitting me to participate in this event,
I hereby take action for myself, my executors, administrators, heirs, next of kin,
successors, and assigns as follows: (A) Waive, Release and Discharge from any and
all liability for my death, disability, personal injury, property damage, property
theft or actions of any kind which may hereafter accrue to me or my traveling to
and from this event, THE FOLLOWING ENTITIES OR PERSONS:
<?php echo $event_indemnified;?>, <?php echo $this_organization;?>,  and RANDONNEURS USA, (RUSA) their directors, officers, employees,
volunteers, representatives, and agents, the event holders, event sponsors, event
directors, event volunteers; (B) Indemnify and Hold Harmless the entities or
persons mentioned in this paragraph from any and all liabilities or claims made by
other individuals or entitles as a result of any of my actions during this event.

<p><input type="checkbox" name="agree5" value="yes"> I hereby consent to receive medical treatment which may be deemed advisable in the
event of injury, accident and or illness during this event.

<p><input type="checkbox" name="agree6" value="yes"> I understand that at this event or related activities, I may be photographed.  I
agree to allow my photo, video or film likeness to be used for any legitimate
purpose by the event holders, producers, sponsors, organizers and or assigns.

<p><input type="checkbox" name="agree7" value="yes"> This ACCIDENT WAIVER AND RELEASE OF LIABILITY shall be construed broadly to
provide a release and waiver to the maximum extent permissible under applicable
law.

<p><input type="checkbox" name="agree8" value="yes"> I hereby certify that I have read this document; and, I understand it's content. I
understand that I have given up substantial rights by signing this ACCIDENT WAIVER
AND RELEASE OF LIABILITY and have signed it freely and without any inducement or
assurance of any nature.

<p><input type="checkbox" name="agree9" value="yes"> I hereby certify that I am at least eighteen years of age.

<p>&nbsp;

<div class=event>
<p>Current Date: <?php echo $date_stamp;?></p>
<p>Participant Name: <?php echo $first_name. '&nbsp;' .$last_name;?></p>
<br><em>To acknowledge your agreement with this release, please read it carefully, 
<?php
	if(isset($release_needed) && ($release_needed!=$release_found)){
		echo '<br><br><center><span style="color:red; font-size:1.2em">';
	}
?>
check the box next to each and every paragraph above, 
<?php
	if(isset($release_needed) && ($release_needed!=$release_found)){
		echo "</span></center><br>";
	}
?>
and then press the "I Agree" button below. If you <b>do not</b> agree with this release, press "Cancel". </em>
</div>


<?php echo $form_submit;?>
</form>
</div>
