<?php

//    PA Randonneurs Website Software
//    Copyright (C) 2019 Chris Nadovich https://parando.org/info/contact/webmaster
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU Affero General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU Affero General Public License for more details.
//
//    https://parando.org/assets/parando/src/LICENSE.txt
//
//    You should have received a copy of the GNU Affero General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.

?>
<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php echo $release_title;?></title>
<style>

.release-form {
    width: 90%;
    margin-left:5%;
    margin-right:5%;	
}

.release-form p {
  font-family:Courier New;
}

.release-header {
	color: red;
	text-transform: uppercase;
	margin-top: 3em;
	text-align: center;
  	font-family: Arial, Helvetica, sans-serif;
  	padding: .5em;
}
.release-title {
	text-align: center;
	text-transform: uppercase;
  font-family: "Times New Roman", Times, serif;
	font-weight: 600;
	text-decoration: underline;
}
.release-footer {
	color: red;
	text-align: center;
	padding: .5em;
	text-decoration: underline;
	text-transform: uppercase;
  	font-family: Arial, Helvetica, sans-serif;
}


table {
    border-collapse: collapse;
    table-layout: fixed;
}

table, th, td {
    border: 2px solid black;
    padding: 5px;
    height: 2em;
    text-align: center;
}

.release-signature table{
  border-collapse: separate;
  border-style: none;
  border-spacing: 2em 0;
}

.release-signature th{
  border-style: none;
}

.release-signature td{
  border-style: solid;
  border-width: 0px 0px 2px 0px;
}

#fullname {
    text-align: left;
    font-size: 140%;
}

#dns {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 600;
    font-size: 140%;
    color: #D0D0D0;
}

th {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 600;
}

h1, h2, h3 {
    font-family: Arial, Helvetica, sans-serif;
}

@media print {
	table { 
		page-break-inside:auto 
	}
	td, th { 
		page-break-before: avoid; 
		page-break-after: avoid; 
		page-break-inside: avoid;
	}
	tr { 
		/* display: block; */
		page-break-after: auto; 
		page-break-inside: avoid;
	}
}

</style>
</head>
<body>
	<?php echo $roster_table;?>
	<?php echo $release_text;?>
</body>
</head>
