<?php

//    PA Randonneurs Website Software
//    Copyright (C) 2019 Chris Nadovich https://parando.org/info/contact/webmaster
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU Affero General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU Affero General Public License for more details.
//
//    https://parando.org/assets/parando/src/LICENSE.txt
//
//    You should have received a copy of the GNU Affero General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.

?>
<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" type="text/css" href='<?php echo base_url("parandostyle.css")?>'>
<title>Registered Riders for <?php echo $event['name'] . ' ' . $event['distance_str'];?></title>
<style>
.hidden a {
    color: white;
    background-color: white;
}
.hidden a:hover {
    color: #355681;
    background-color: white;
}

</style>
</head>
<body>

<div class=roster-container>

    <h2>RUSA Membership Check</h2>
    <div class=event>
      <?php 
	$event_id=$event['event_id'];
	echo '<h3>' . $event['name'] . ' ' . $event['distance_str'] . '</h3>';
	echo '<p>Start Date: ' . $event['start_date_str']  ;
	echo '<p>Start Time: ' . $event['start_time_str']  ;
      ?>
    </div>

    <?php 
      $s=(count($roster)==1)?'':'s';
      echo "<h2>" . count($roster) . " Registered Rider$s</h2>";
    ?>
    <div class=roster>

      <TABLE WIDTH=100%>
      <TR><TH>Name</TH><TH>Address</TH><TH>RUSA</TH></TR>
      <?php 
	$i=1;
	$country_fullname=$this->model_parando->get_countries();

	foreach ($roster as $row)
	{
		$grayed = ($row->result == "DNS")?"STYLE='color:#d0d0d0'":"";
		$rusa_id=$row->rusa_id;
    	$first_last_name=$row->first_name . ' ' . $row->last_name;
		$rusa_member_link=($row->rusa_id > 0) ? "<A $grayed HREF=https://rusa.org/cgi-bin/membersearch_PF.pl?mid=$rusa_id>$first_last_name</a>":$first_last_name;
		$rusa_results_link=($row->rusa_id > 0) ? "<A $grayed HREF=https://rusa.org/cgi-bin/resultsearch_PF.pl?mid=$rusa_id>$rusa_id</a>":'N/A';
		$state=($row->m_country != "US")?$country_fullname[$row->m_country]:$row->m_state;
		$rusa_status=($row->rusa_status=='OK')?$rusa_results_link:$row->rusa_status;

		echo "<TR $grayed>";
		echo '<TD>' . $rusa_member_link . '</TD>';
		echo '<TD>' . $row->m_city . ', ' . $state . '</TD>';
		echo "<TD>" . $rusa_status . '</TD>';
		echo '</TR>';
		$i++;
	}
      ?>
      </TABLE>
    </div>

<!--
	<p>
      <A HREF="<?php echo site_url("roster/start/$event_id");?>" TITLE="Start Controle Release Form"><i class="fas fa-gavel"></i></a> 
      <A HREF="<?php echo site_url("roster/comcsv/$event_id");?>" TITLE="CSV Download for Card-O-Matic"><i class="fas fa-download"></i></a> 
      <A HREF="<?php echo site_url("roster/controle/$event_id");?>" TITLE="Controle Sign In Sheet"><i class="fas fa-sign-in-alt"></i></a> 
    </p>
-->

</div>

</body>
</head>
