<?php    
 
//    PA Randonneurs Website Software
//    Copyright (C) 2019 Chris Nadovich https://parando.org/info/contact/webmaster
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU Affero General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU Affero General Public License for more details.
//
//    https://parando.org/assets/parando/src/LICENSE.txt
//
//    You should have received a copy of the GNU Affero General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.



		$lsd = $this->randosession->get_data_all();
		if($lsd['login_logged_in']){
		  $logout_url=site_url('login/logout_user');
		  $fln = $lsd['login_first_name'] . ' ' . $lsd['login_last_name'];
		  $member_id=$lsd['login_member_id'];
		  $first_last_name=
		  "<A HREF=" . site_url("results/member/$member_id")  . ">$fln</A>" . ' (' . $lsd['login_expires'] . ") | <a href=\"$logout_url\">Log Out</a>";
		  $is_admin=$lsd['login_is_admin'];
		}else{
		  $login_url=site_url('login');
		  $first_last_name="<a href=\"$login_url\">Log In</a>";
		}

	$sql="SELECT * from event WHERE type='fleche' order by date DESC";
	$q=$this->db->query($sql);
	$fleche_events=$q->result_array();
	$fleche_list=[];
	foreach($fleche_events as $event){
			$event_id=$event['id'];
			$date=$event['date'];
		    $fleche_list[] = array('url'=>"admin/fleche_team/$event_id", 'name'=>$date);
	}

	$results_epoch=$this->model_parando->results_epoch;
	$tz=$this->model_parando->get_local_time_zone();
	$now = new DateTime("now",$tz);
	$m_now=$now->format('n');
	$y_now=$now->format('Y');
	$now_date = $now->format("Y-m-d");
	$annual_summary_url="results/annual_summary";
	$annual_cert_url="results/annual_certs";
	$get_eid_url="utility/get_rusa_eid";
	$get_certs_url="utility/get_certs";
	$results_list=[];
		for($y=$y_now; $y >= ($y_now-1); $y--){
		  $results_list[] = array('url'=>"$annual_summary_url/$y/with_address", 'name'=>"$y Addresses");
		  $results_list[] = array('url'=>"$annual_cert_url/$y", 'name'=>"$y Certs");
		  $results_list[] = array('url'=>"$annual_cert_url/$y/pdf", 'name'=>"$y Cert Stickers");
		  $results_list[] = array('url'=>"$get_eid_url/$y", 'name'=>"Get $y EIDs");
		  $results_list[] = array('url'=>"$get_certs_url/$y", 'name'=>"Get $y Certs");

		}


	$sql="SELECT DISTINCT category from shipping_queue,catalog WHERE (not isnull(category)) and catalog_id=catalog.id";
	$q=$this->db->query($sql);
	$rslts=$q->result_array();
	$shipping_list=[];
	$shipping_list[] = array('url'=>"admin/shipping_queue", 'name'=>'All Items');

	foreach($rslts as $rslt){
			$category=$rslt['category'];
			$description='&nbsp;' . ucfirst($rslt['category']);
			if(empty($category)) continue;
		    $shipping_list[] = array('url'=>"admin/shipping_queue/$category", 'name'=>$description);
	}


  $left_menu_item=array_merge(
  	[
		array('userview'=>true, 'start_group'=>'Organize Events'),
		array('userview'=>true, 'url'=>'admin/event/future', 'name'=>'Future'),
		array('userview'=>true, 'url'=>'admin/event/past', 'name'=>'Past'),
		array('userview'=>true, 'end_group'=>'Organize Events'),
		
		array('url'=>'admin/start', 'name'=>'Start/Finish'),
		array('url'=>'admin/member', 'name'=>'Members'),
		array('start_group'=>'Annual Summary')
    ],
	$results_list,
    [
		array('end_group'=>'Annual Summary'),
		array('start_group'=>'PA Fleche')
    ],
	$fleche_list,
    [
		array('end_group'=>'PA Fleche'),
		array('start_group'=>'Settings'),
		array('url'=>'admin/settings', 'name'=>'General'),
		array('url'=>'admin/club', 'name'=>'Clubs'),
		array('url'=>'admin/spot', 'name'=>'Trackers'),
		array('url'=>'phpMyAdmin', 'name'=>'Direct Database Access (Advanced)'),
		array('end_group'=>'Settings'),
		array('start_group'=>'Website'),
		array('url'=>'admin/paragraph/announce', 'name'=>'Announcements'),
		array('url'=>'admin/paragraph/not_announce', 'name'=>'Other Paragraphs'),
		array('end_group'=>'Website'),
		array('start_group'=>'Accounting'),
		array('url'=>'admin/purchase', 'name'=>'Purchase Orders'),
//		array('url'=>'admin/purchase/event_id/'.$next_event, 'name'=>'Next Event POs'),
		array('url'=>'admin/payment', 'name'=>'Payments'),
		array('url'=>'admin/coupons', 'name'=>'Coupons'),
		array('url'=>'admin/catalog', 'name'=>'Catalog'),
		array('end_group'=>'Accounting'),
		array('start_group'=>'Shipping Queue')
	],
	$shipping_list,
	[
		array('end_group'=>'Shipping Queue'),
    ]
    );

	$spacer="&nbsp;|&nbsp;";
  $left_menu='  ';
	$vcount=0;

  foreach ($left_menu_item as $i){

		$visible=($is_admin || isset($i['userview']));
		if(!$visible){continue;}

		if($vcount++ > 0 && $group_name==null){$left_menu .= $spacer;}

		if(!empty($i['start_group'])){
			$group_name=$i['start_group'];
			$left_menu .= "<div class='dropdown'>";
			$left_menu .= "<span style='color: blue'>$group_name&nbsp;&raquo;</span>";
			$left_menu .= "<div class='dropdown-content-abs'>";
		}
	  if(!empty($i['url'])){
			$left_menu.="<a href='" . site_url($i['url']) . "'>" . $i['name'] . "</a>"; 		
	  }
	  if(!empty($i['end_group'])){
	  	$group_name=null;
	  	$left_menu .= "</div></div>";
	  }
  }
	  // $left_menu=substr($left_menu,0,-2);

// <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.13/css/all.css" integrity="sha384-DNOHZ68U8hZfKXOrtjWvjxusGo9WQnrNx2sqG0tfsghAvtVlRW3tvkXWZh58N9jp" crossorigin="anonymous"> 
  		
  
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
<link href="https://parando.org/assets/fa/css/all.css" rel="stylesheet">
<?php 
foreach($css_files as $file): ?>
    <link type="text/css" rel="stylesheet" href="<?php echo $file; ?>" />
 
<?php endforeach; ?>
<?php foreach($js_files as $file): ?>
 
    <script src="<?php echo $file; ?>"></script>
<?php endforeach; ?>
 
<style type='text/css'>
</style>
<title><?php echo $title; ?> </title>
</head>
<body>
<!-- Beginning header -->
    <div>

        <div class=alignleft>&nbsp;
		<?php echo $left_menu; ?>      
        </div>
        
        <div class="alignright">
        <a href='<?php echo site_url("admin/profile/edit/$member_id")?>'>Profile</a> | 
        <?php echo $first_last_name; ?> 
        </div>
        <div style="clear: both;"></div>
    </div>
<!-- End of header-->
    <div style='height:20px;'></div>  
    
<h1><?php echo $title; ?></h1>
<?php echo $output; ?>
 
    
<?php
if(!empty($total)){
echo "<p>$accounting</p>";
}
?>
<!-- Beginning footer -->
   <div style='height:200px;'></div>  
 
<!-- End of Footer -->
</body>
</html>
